/*
 * PrevCommand.java
 *
 * Copyright (C) 2002-2008 Takis Diakoumis
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 3
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 */

package org.executequery.actions.queryeditor;

import java.awt.event.ActionEvent;

/** 
 * The Query Editor's Previous Query command execution.
 *
 * @author   Takis Diakoumis
 * @version  $Revision: 1304 $
 * @date     $Date: 2008-04-27 20:14:04 +1000 (Sun, 27 Apr 2008) $
 */
public class PrevCommand extends AbstractQueryEditorCommand {
    
    public void execute(ActionEvent e) {
        
        if (isQueryEditorTheCentralPanel()) {
            
            queryEditor().selectPreviousQuery();
        }
        
    }
    
}





